use crate::connectors::{Client, Connector};
use crate::events::Event;
use crate::models::{Order, Position};
use crate::ticker::Ticker;
use std::collections::{HashMap, VecDeque};

struct EventManager {
    events: Vec<Event>,
}

struct PositionManager {
    queue: VecDeque<Position>,
    open_positions: Vec<Position>,
    client: Client,
}

struct OrderManager {
    queue: VecDeque<Order>,
    open_orders: Vec<Order>,
    client: Client,
}
